Share via


Monitors - List App Services

List the app service resources currently being monitored by the NewRelic resource.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/NewRelic.Observability/monitors/{monitorName}/listAppServices?api-version=2024-10-01

URI Parameters

Name In Required Type Description
monitorName
path True

string

Name of the Monitors resource

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
userEmail True

string

pattern: ^[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,}$

User Email

azureResourceIds

string[]

Azure resource IDs

Responses

Name Type Description
200 OK

AppServicesListResponse

ARM operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Microsoft Entra ID OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Monitors_ListAppServices_MaximumSet_Gen
Monitors_ListAppServices_MinimumSet_Gen

Monitors_ListAppServices_MaximumSet_Gen

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz/listAppServices?api-version=2024-10-01

{
  "azureResourceIds": [
    "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz"
  ],
  "userEmail": "ruxvg@xqkmdhrnoo.hlmbpm"
}

Sample response

{
  "value": [
    {
      "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz",
      "agentVersion": "owxkssnbp",
      "agentStatus": "vclwfecbppsfaygdccfu"
    }
  ],
  "nextLink": "http://testlink.com"
}

Monitors_ListAppServices_MinimumSet_Gen

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz/listAppServices?api-version=2024-10-01

{
  "azureResourceIds": [
    "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz"
  ],
  "userEmail": "ruxvg@xqkmdhrnoo.hlmbpm"
}

Sample response

{
  "value": [],
  "nextLink": null
}

Definitions

Name Description
AppServiceInfo

Details of VM Resource having NewRelic OneAgent installed

AppServicesGetRequest

Request of a app services get Operation.

AppServicesListResponse

Response of a list app services Operation.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

AppServiceInfo

Details of VM Resource having NewRelic OneAgent installed

Name Type Description
agentStatus

string

Status of the NewRelic agent installed on the App service.

agentVersion

string

Version of the NewRelic agent installed on the App service.

azureResourceId

string

Azure App service resource ID

AppServicesGetRequest

Request of a app services get Operation.

Name Type Description
azureResourceIds

string[]

Azure resource IDs

userEmail

string

pattern: ^[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,}$

User Email

AppServicesListResponse

Response of a list app services Operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

AppServiceInfo[]

The AppServiceInfo items on this page

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.